---
updatedAt: 2026-05-27T20:34:02.000Z
agentTools:
  projectIndex: https://docs.usecanopy.com/llms.txt
---

# GET /monitorings

List all Monitorings, optionally filtered by Pull ID or status. A Monitoring represents an ongoing connection to an insurance account, used for refreshing information on a connected insurance account.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Reference",
    "version": "1.0.0",
    "description": "Canopy Connect Public API Documentation",
    "contact": {
      "name": "Canopy Connect",
      "email": "support@usecanopy.com",
      "url": "https://usecanopy.com/"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "servers": [
    {
      "url": "https://app.usecanopy.com/api/v1.0.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "BasicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "HTTP Basic authentication. Use your Canopy Connect Client ID as the username and your Client Secret as the password. The `Authorization` header value is `Basic <base64 of clientId:clientSecret>`. See the [Authentication guide](https://docs.usecanopy.com/reference/authentication-guide) for a full walkthrough, and create or manage your Client ID and Client Secret on the [API Settings page](https://app.usecanopy.com/dashboard/settings/api-settings)."
      }
    },
    "schemas": {
      "Monitoring": {
        "title": "Monitoring",
        "type": "object",
        "description": "A Monitoring is an object that manages the synchronization of Pulls",
        "properties": {
          "monitoring_id": {
            "type": "string",
            "format": "uuid",
            "description": "ID of the Monitoring"
          },
          "latest_pull_id": {
            "type": "string",
            "format": "uuid",
            "description": "The latest Pull ID for the Monitored account"
          },
          "status": {
            "type": "string",
            "description": "Status of the Monitoring",
            "enum": [
              "ACTIVE",
              "STOPPED"
            ]
          },
          "next_pull_date": {
            "type": [
              "string",
              "null"
            ],
            "description": "When the Monitoring is active, this will be the next date-time the data will be refreshed",
            "example": "2000-12-31T00:00:00.000Z",
            "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}\\.\\d{3}Z$",
            "format": "date-time"
          },
          "interval": {
            "type": "string",
            "example": "P1M",
            "format": "ISO-8601-duration",
            "pattern": "^(-?)P(?=\\d|T\\d)(?:(\\d+)Y)?(?:(\\d+)M)?(?:(\\d+)([DW]))?(?:T(?:(\\d+)H)?(?:(\\d+)M)?(?:(\\d+(?:\\.\\d+)?)S)?)?$",
            "description": "How often the information should be refreshed. Must be >= 30 days. We accept ISO-8601 duration interval value and support days, months, and/or years."
          },
          "stop_after_date": {
            "type": [
              "string",
              "null"
            ],
            "description": "Optional. Date after which monitoring should stop",
            "pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}\\.\\d{3}Z$",
            "example": "2000-12-31T00:00:00.000Z",
            "format": "date-time"
          }
        }
      }
    }
  },
  "security": [
    {
      "BasicAuth": []
    }
  ],
  "tags": [
    {
      "name": "Monitorings API",
      "description": "Manage synced accounts"
    }
  ],
  "paths": {
    "/teams/{teamId}/monitorings": {
      "parameters": [
        {
          "schema": {
            "type": "string",
            "format": "uuid"
          },
          "name": "teamId",
          "in": "path",
          "required": true,
          "description": "ID of Team"
        }
      ],
      "get": {
        "summary": "GET /monitorings",
        "tags": [
          "Monitorings API"
        ],
        "responses": {
          "200": {
            "description": "200 Response Schema",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "monitorings_count": {
                      "type": "integer"
                    },
                    "monitorings": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Monitoring"
                      }
                    }
                  },
                  "required": [
                    "monitorings_count",
                    "monitorings"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401 Response Schema",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "UNAUTHORIZED"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "403 Response Schema",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "SUBSCRIPTION_INACTIVE"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "operationId": "get-monitorings",
        "description": "List all Monitorings, optionally filtered by Pull ID or status. A Monitoring represents an ongoing connection to an insurance account, used for refreshing information on a connected insurance account.",
        "parameters": [
          {
            "schema": {
              "type": "integer",
              "default": 100
            },
            "in": "query",
            "name": "limit",
            "description": "Pagination limit"
          },
          {
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "in": "query",
            "name": "before",
            "description": "Pagination before pointer of a monitoring_id"
          },
          {
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "in": "query",
            "name": "pull_id",
            "description": "Filter used to list Monitorings related to a Pull (cannot be used with account_identifier)"
          },
          {
            "schema": {
              "type": "string"
            },
            "in": "query",
            "name": "account_identifier",
            "description": "Filter used to list Monitorings related to an Account Identifier (cannot be used with pull_id)"
          },
          {
            "schema": {
              "type": "string",
              "enum": [
                "ACTIVE",
                "STOPPED"
              ]
            },
            "in": "query",
            "name": "status",
            "description": "Filter used to list Monitorings of a certain status"
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```